package com.junmp.jyzb.api.bean.query;

import com.baomidou.mybatisplus.annotation.TableField;
import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class PolicemanReq extends BaseRequest {

    @NotNull(message = "警员主键不能为空", groups = {edit.class, delete.class, detail.class})
    private String id;

    @NotNull(message = "警员名字不能为空", groups = {edit.class, delete.class, detail.class})
    private String name;

    private String cabinetBoxId;

    @NotNull(message = "组织机构不能为空", groups = {edit.class, delete.class, detail.class})
    private String orgId;

    private Long orgIdInt;

    private Long departmentId;

    private String policeCode;

    private String sex;

    private String faceInfo;

    private Boolean isCreatedAccount;

    private String doorCode;

    private String password;

    private String photo;

    private String phone;

    private Date createTime;

    private Date updateTime;

    private String idCard;

    private String updateUser;

    private Integer state;

    private static final long serialVersionUID = 1L;
}