package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.query.CabinetReq;
import com.junmp.jyzb.api.bean.query.PolicemanReq;
import com.junmp.jyzb.entity.PoliceFinger;
import com.junmp.jyzb.entity.Policeman;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;
import java.util.Map;

public interface PolicemanService extends IService<Policeman> {
    ResponseResult addPoliceman(Map<String, Object> msg);

    ResponseResult getOnePolice(Map<String, Object> id);

    ResponseResult deletePolice(Map<String, Object> msg);

    ResponseResult updatePolice(Map<String, Object> msg);

    List<String> getAllPoliceId(Map<String, Object> orgId);

    ResponseResult deleteFinger(Map<String, Object> msg);

    List<String> getAllPoliceIdByCabinet(Map<String, Object> cabinetId);

    ResponseResult addFingerInfo(Map<String, Object> msg);
    //修改指纹信息
    boolean updateFingerInfo(PoliceFinger req);
    //查询指纹信息
    ResponseResult searchFingerInfo(Map<String, Object> msg);

    boolean addFaceInfo(PolicemanReq req);

    ResponseResult changePoliceState(Map<String, Object> msg);

    //List<Map<String, Object>> getAllPoliceman(List<String> allPoliceId);

    ResponseResult getAllPoliceman(Map<String, Object> orgId);

    ResponseResult getPoliceData(Map<String, Object> cabinetId);

    boolean updateFaceInfo(PolicemanReq req);

    Policeman searchFaceInfo(PolicemanReq req);

    //通过单警柜获取组织机构id,再获取组织机构下的所有警员信息
    List<Policeman> getOrgPoliceman(CabinetReq req);
}
